Script to setup application Samba AD authentication in squid for pfSense® software
Branch: 2.4.3-SAMBA4
Clone or download
Fetching latest commit…
Cannot retrieve the latest commit at this time.
Permalink
Type Name Latest commit message Commit time
Failed to load latest commit information.
LICENSE Update LICENSE Oct 1, 2016
README.md update to 2.4.3 Apr 2, 2018
pf2ad.sh
samba.inc
samba.sh init repo to 2.3 version Apr 15, 2016
samba.xml remove not usable option Nov 23, 2017
samba_diag.xml
squid.inc fix argument Nov 1, 2017
squid_winbind_auth.patch

README.md

How to install

The script is automatic, meaning you need not install anything, he will have to check the necessary dependencies and install the needed.

To make the application of change patches and NTLM authentication setting in pfSense® software, we will need version 2.4.3 of pfSense® software. Remember that this version is compatible (will install if you have not) with Squid package, you will need web access or console (recommend using the console via ssh to monitor the process).

fetch -q -o - https://raw.githubusercontent.com/pf2ad/pf2ad/2.4.3-SAMBA4/pf2ad.sh | sh

It will upgrade the system package, add a custom repository with samba version with AD support, will if necessary the installation of the dependent packages (Squid), apply changes to the Squid package code and the system menu to add configuration options of AD authentication.

More information:

http://pf2ad.mundounix.com.br/en/index.html